.Sidebar {
    @include desktop {
        width: 360px;
        height: calc(100% - var(--header-total-height) + var(--header-info-bar-height) + 1px);
        padding-bottom: var(--header-info-bar-height);
        position: fixed;
        top: calc(var(--header-total-height) - 10px);
        right: 0;
        transform: translateX(100%);
        opacity: 0;
        z-index: -1;
        background-color: var(--grey-5-color);
        transition: transform 200ms cubic-bezier(0.47, 0, 0.745, 0.715);
        pointer-events: none;

        .isHeaderInfoBarHidden & {
            transform: translateY(calc(-1 * var(--header-info-bar-height)));
        }
    }

    &_isVisible {
        @include after-mobile {
            transform: translateX(0);
            opacity: 1;
            z-index: 200;
            pointer-events: all;
        }
    }

    &-Header {
        display: flex;
        height: 56px;
        padding: 0 16px;
        border: var(--header-border);
        align-items: center;
        justify-content: space-between;
        color: var(--header-color);
        background: var(--header-background);

        @include before-desktop {
            display: none;
        }

        h4 {
            font-size: 14px;
            font-weight: 500;
        }
    }

    .Header-Button {
        width: 45px;
        margin-right: 0 !important;
        opacity: 1;
        pointer-events: all;
    }

    &-Content {
        height: calc(100vh - var(--header-info-bar-height) - var(--header-total-height));
        padding: 18px 16px;
        background: none;
        overflow-y: auto;

        &.SizingSidebar {
            height: calc(100vh - var(--header-info-bar-height) - var(--header-total-height) - 60px);
        }

        @include before-desktop {
            height: calc(100vh - var(--header-info-bar-height) - 40px);

            &.SizingSidebar {
                height: calc(100vh - var(--header-info-bar-height) - 80px);
            }
        }
    }

    &-Subtitle {
        margin-bottom: 10px;
        font-size: 14px;
        font-weight: 500;
    }
}

.Dimmer {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    opacity: 0;
    z-index: 100;
    background-color: rgba(0, 0, 0, 0.4);
    transition: opacity 200ms cubic-bezier(0.47, 0, 0.745, 0.715);
    pointer-events: none;

    @include before-desktop {
        display: none;
    }

    &_isActive {
        opacity: 1;
        pointer-events: all;
    }
}
